#!/usr/bin/env python
#
# -*- coding: utf-8 -*-
#
#   Copyright (C) 2010 Wei J <mitiao@gmail.com>
#   Detect installation of moc
#   Detect running moc form pid
#

import os
from subprocess import *

MOC_INSTALLED = 1
MOC_NOT_INSTALLED = 0
MOC_IS_RUNNING = 1
MOC_IS_NOT_RUNNING = 0

def _exec_command(command):
    output = Popen(
                command, 
                stdout=PIPE, stderr=STDOUT,  
                shell=True, close_fds=True)
    stdout = output.communicate()
    return stdout[0]
    
def isInstalled():
    output = _exec_command('mocp --help')
    
    if 'Usage:' in output:
        return MOC_INSTALLED
    elif 'command not found' in output:
        return MOC_NOT_INSTALLED

def isRunning():
    output = _exec_command('pidof mocp')

    if output:
        return MOC_IS_RUNNING
    else:
        return MOC_IS_NOT_RUNNING
        
def StartMoc():
    os.system('mocp')
